//namespaces are here to help you sort your commands
namespace commands->show;

/**
 * Show all information about columns from table $tableName
 * in database $databaseName. You have to be logged in as a root.
 * This comment will be translated to PHPDoc compatible comment
 * including params.
 */
SQLCMD showTableColumns
{
    SHOW FULL COLUMNS FROM `<# string $tableName DEFAULTVALUE "user" #>`
    FROM
    `<#
        /**
         * Comments can also be in parameters body
         */
        string $databaseName
        DEFAULTVALUE "mysql"
    #>`  LIKE  '<#
        //The only thing which has to be defined is parameter name
        //everything else like comment, parameter type
        //or default value is optional

        $like
    #>'
};



SQLCMD showAllErrors
{
    SHOW ERRORS
};



SQLCMD showErrorsWithLimit
{
    SHOW ERRORS LIMIT <# $offset #>, <# $rowsCount #>
};




SQLCMD showWarnings
{
    //You can also use object to pass the variables
    SHOW WARNINGS LIMIT <# $limit->offset DEFAULTVALUE "0" #>,
    <# $limit->rowsCount DEFAULTVALUE "30" #>
};